package com.javacodegeeks.examples;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class PreparedInsertExample {
	private static final String HOST = "jdbc:mysql://localhost/";
	private static final String DB = "db_test";
	private static final String USER = "root";
	private static final String PASSWORD = "bitnami";
	
	public static void main(String[] args) {
		String sqlQuery = "INSERT INTO `tbl` (`name`, `surname`, `age`) VALUES (?,?,?)";
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
			Connection conn = DriverManager.getConnection(HOST+DB,USER,PASSWORD);
			
			PreparedStatement preparedInsert = conn.prepareStatement(sqlQuery);
			
			String myName = "Aldo";
			String mySurname = "Ziflaj";
			int myAge = 19;
			
			preparedInsert.setInt(3, myAge);
			preparedInsert.setString(1, myName);
			preparedInsert.setString(2, mySurname);
			
			int status = preparedInsert.executeUpdate();
			System.out.println(status);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (SQLException e) {
			e.printStackTrace();
		}
		
	}

}
